path: /build/build/smem-dev-util-1.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python_single_target_python3_9" emerge dev-util/smem -pv -t && \
    USE="-python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python_single_target_python3_9" emerge -j ${JOBS} --nodeps dev-util/smem
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/smem && luet-portage --dir /pkgdir/smem
    dev-util/smem && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: smem
    version: "1.5"
    category: dev-util
    use_flags:
    - -python_single_target_python2_7
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - python_single_target_python3_9
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A tool that can give numerous reports on memory usage on Linux systems
    uri:
    - https://www.selenic.com/smem/
    license: GPL-2+
    buildtimestamp: 2023-10-05 05:47:04.058216883 +0000 UTC m=+125.176510943
    labels:
      BDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        )
      IUSE: python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_single_target_python2_7 python_single_target_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8 python_targets_python2_7
        python_targets_python3_10
      RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        )
      emerge.packages: dev-util/smem
      kit: dev-kit
      original.package.name: dev-util/smem
      original.package.slot: "0"
      original.package.version: "1.5"
    treedir: /build/packages
  package_dir: /pkgdir/smem
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0f76d322af02c6c30635a6cde483a91bc5ffd83716566c71a0b5f016f117587b
compressiontype: zstd
files:
- usr/bin/smem
- usr/bin/smemcap
- usr/lib/python-exec/python3.9/smem
- usr/share/man/man8/smem.8.bz2
- var/db/pkg/dev-util/smem-1.5/BDEPEND
- var/db/pkg/dev-util/smem-1.5/BUILD_TIME
- var/db/pkg/dev-util/smem-1.5/CATEGORY
- var/db/pkg/dev-util/smem-1.5/CBUILD
- var/db/pkg/dev-util/smem-1.5/CFLAGS
- var/db/pkg/dev-util/smem-1.5/CHOST
- var/db/pkg/dev-util/smem-1.5/CONTENTS
- var/db/pkg/dev-util/smem-1.5/COUNTER
- var/db/pkg/dev-util/smem-1.5/CXXFLAGS
- var/db/pkg/dev-util/smem-1.5/DEFINED_PHASES
- var/db/pkg/dev-util/smem-1.5/DESCRIPTION
- var/db/pkg/dev-util/smem-1.5/EAPI
- var/db/pkg/dev-util/smem-1.5/FEATURES
- var/db/pkg/dev-util/smem-1.5/HOMEPAGE
- var/db/pkg/dev-util/smem-1.5/INHERITED
- var/db/pkg/dev-util/smem-1.5/IUSE
- var/db/pkg/dev-util/smem-1.5/IUSE_EFFECTIVE
- var/db/pkg/dev-util/smem-1.5/KEYWORDS
- var/db/pkg/dev-util/smem-1.5/LDFLAGS
- var/db/pkg/dev-util/smem-1.5/LICENSE
- var/db/pkg/dev-util/smem-1.5/NEEDED
- var/db/pkg/dev-util/smem-1.5/PF
- var/db/pkg/dev-util/smem-1.5/RDEPEND
- var/db/pkg/dev-util/smem-1.5/REQUIRES
- var/db/pkg/dev-util/smem-1.5/SIZE
- var/db/pkg/dev-util/smem-1.5/SLOT
- var/db/pkg/dev-util/smem-1.5/USE
- var/db/pkg/dev-util/smem-1.5/environment.bz2
- var/db/pkg/dev-util/smem-1.5/repository
- var/db/pkg/dev-util/smem-1.5/smem-1.5.ebuild
package_cacheimage: ""
runtime:
  name: smem
  version: "1.5"
  category: dev-util
  use_flags:
  - -python_single_target_python2_7
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - python_single_target_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A tool that can give numerous reports on memory usage on Linux systems
  uri:
  - https://www.selenic.com/smem/
  license: GPL-2+
  labels:
    BDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      )
    IUSE: python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_single_target_python2_7 python_single_target_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      )
    emerge.packages: dev-util/smem
    kit: dev-kit
    original.package.name: dev-util/smem
    original.package.slot: "0"
    original.package.version: "1.5"
